// gtr_world_map_cl
// ptp_world_map_cl (modified from OEI's gtr_world_map_cl
// Transition to the world map
// n the on clicked field of the new world map trigger use this script
// EPF
/*Paint a world map trigger

- Change the world map variable to the name of your .wmp (not your image name, but the name of the world map, ie what it is saved as)

- You can leave origin blank for now.

- Tag the trigger anything you want so long as the last two characters correspond to a compass heading: _n, _s, _w, _e */

// EPF 2/2/06 -- modifying to have a default map for each act if no other map is specified.
// EPF 3/24/06 -- this is now an OnClicked event
// BMA-OEI 6/24/06 -- Added gather party check
// BMA-OEI 8/11/06 -- Autosave before transition
// ChazM 8/21/06 -- updated constant CAMPAIGN_SWITCH_REMOVE_DOMINATED_ON_TRANSITION
// BMA-OEI 8/22/06 -- Replaced auto save w/ AttemptSinglePlayerAutoSave()
// *MLM-RDS 10/31/06 -- Modified for use in Planscape Trilogy: Purgatorio

#include "ginc_debug"
#include "ginc_autosave"
#include "ginc_transition"

void main()
{
object oPC = GetClickingObject();
if ( GetIsPC( oPC ) == FALSE )
{
return;
}

string sMap = GetLocalString(OBJECT_SELF, "sMap");
string sOrigin = GetLocalString(OBJECT_SELF, "sOrigin");

/*if(sMap == "")
{
int nAct = GetGlobalInt("00_nAct");

switch(nAct)
{
case 1:
sMap = "hiveward";
break;
case 2:
sMap = "hiveward";
break;
case 3:
sMap = "hiveward";
break;
default:
sMap = "hiveward";
break;
}
}*/

// BMA-OEI 7/04/06 - Check if using remove dominated campaign flag
if ( GetGlobalInt(CAMPAIGN_SWITCH_REMOVE_DOMINATED_ON_TRANSITION) == TRUE )
{
int nRemoved = 0;
object oFM = GetFirstFactionMember( oPC, FALSE );
while ( GetIsObjectValid(oFM) == TRUE )
{
nRemoved = nRemoved + RemoveEffectsByType( oFM, EFFECT_TYPE_DOMINATED );
oFM = GetNextFactionMember( oPC, FALSE );
}

if ( nRemoved > 0 )
{
// Abort transition if dominated effect was found and removed
return;
}
}

// BMA-OEI 6/24/06
if ( GetGlobalInt( VAR_GLOBAL_GATHER_PARTY ) == 1 )
{
if ( IsPartyGathered( oPC ) == FALSE )
{
ReportPartyGather( oPC );
return;
}
}

//Establish our party's compass heading so they end up in the correct
//Or correct-default entrance to the next area by grabbing the compass heading
//of the clicked world map trigger and setting it as a local string on the clicker
//To utilize this...
//Append the tags of your world map triggers based on their compass heading (*_n, *_s, *_e, *_w)
//Unlike the target waypoints, you don't need all four compass headings matched to a trigger
string sCompass = GetTag(OBJECT_SELF);
SetLocalString(oPC, "temp_wm_compass", GetStringRight(sCompass, 2));
// BMA-OEI 8/22/06 -- Autosave before transition
AttemptSinglePlayerAutoSave();
ShowWorldMap("Hommlet", oPC, sOrigin);
}